/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __OPERATION_RESULT__E9EEFAFA5DD8D8E166CBD35C482D931F
#define __OPERATION_RESULT__E9EEFAFA5DD8D8E166CBD35C482D931F

#include <libgrill/logger/close_log_entry_request.hh>

namespace Fred {
namespace Akm {
namespace Logger {

enum class OperationResult
{
    success,
    fail,
    error
};

template <OperationResult>
::LibGrill::Logger::OperationResultName to_libgrill_operation_result_name();

template <>
::LibGrill::Logger::OperationResultName to_libgrill_operation_result_name<OperationResult::success>()
{
    return ::LibGrill::Logger::OperationResultName{"Success"};
}

template <>
::LibGrill::Logger::OperationResultName to_libgrill_operation_result_name<OperationResult::fail>()
{
    return ::LibGrill::Logger::OperationResultName{"Fail"};
}

template <>
::LibGrill::Logger::OperationResultName to_libgrill_operation_result_name<OperationResult::error>()
{
    return ::LibGrill::Logger::OperationResultName{"Error"};
}

} // namespace Fred::Akm::Logger
} // namespace Fred::Akm
} // namespace Fred

#endif
