/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __SCAN_TYPE__A52E7C93DC1E5E6F0717ECD2EB63A29D
#define __SCAN_TYPE__A52E7C93DC1E5E6F0717ECD2EB63A29D

#include "src/util/from_string.hh"

#include <string>

namespace Fred {
namespace Akm {

enum class ExportScanType
{
    all,
    insecure,
    secure,
    secure_auto
};

enum class ScanType
{
    insecure,
    secure,
    secure_auto
};

template<> ScanType from_string(const std::string& _str);

std::string to_string(ScanType);
std::string to_string(ExportScanType);

} // namespace Fred::Akm
} // namespace Fred

#endif
